Package org.eclipse.core.resources.undo.snapshot

# Interface IMarkerSnapshot

public interface IMarkerSnapshot
IMarkerSnapshot is a lightweight snapshot of a marker for the purposes of undoing.

Since:
  3.20
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IMarker`
`createMarker()`
Create a marker from the marker description.
`IResource`
`getResource()`
Return the resource associated with this marker.
`String`
`getType()`
Return the marker type associated with this marker.
`void`
`updateMarker(IMarker marker)`
Update an existing marker using the attributes in the marker description.

## Method Details

### createMarker

IMarker createMarker() throws CoreException
Create a marker from the marker description.

Returns:
  the created marker
Throws:
  `CoreException`

### updateMarker

void updateMarker(IMarker marker) throws CoreException
Update an existing marker using the attributes in the marker description.

Parameters:
  `marker` - the marker to be updated
Throws:
  `CoreException`

### getResource

IResource getResource()
Return the resource associated with this marker.

Returns:
  the resource associated with this marker

### getType

String getType()
Return the marker type associated with this marker.

Returns:
  the string marker type of this marker